All requests below will use this key. Your API key is sent directly to api.cueapi.ai and never stored by the docs site.

GET/v1/support/{ticket_id}

Get Ticket

Get a support ticket by ID. Users can only view their own tickets.

ticket_idintegerrequiredpath

The ticket ID returned when the ticket was created.

Request

bash
curl https://api.cueapi.ai/v1/support/24 \
  -H "Authorization: Bearer cue_sk_YOUR_KEY"

Response

json
{
  "ticket_id": 24,
  "subject": "Webhook not firing",
  "severity": "high",
  "type": "bug",
  "status": "open",
  "created_at": "2026-03-16T17:30:00Z",
  "updated_at": "2026-03-16T17:30:00Z"
}

Note

Returns 404 if the ticket does not exist or belongs to a different user.

GET/v1/support/24
Try it
Enter your API key above to send requests
How do I know if my agent ran successfully?
Ctrl+K